com.massivecraft.factions.zcore.fperms

## Enum PermissableAction

- java.lang.Object
- - java.lang.Enum<PermissableAction>
  - - com.massivecraft.factions.zcore.fperms.PermissableAction

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PermissableAction>

      public enum PermissableAction
      extends java.lang.Enum<PermissableAction>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACCESS`
    `BAN`
    `BUILD`
    `BUTTON`
    `CHEST`
    `CONTAINER`
    `DESTROY`
    `DISBAND`
    `DOOR`
    `FLY`
    `FROST_WALK`
    `HOME`
    `INVITE`
    `ITEM`
    `KICK`
    `LEVER`
    `PAIN_BUILD`
    `PROMOTE`
    `SETHOME`
    `SETWARP`
    `SPAWNER`
    `TERRITORY`
    `TNTBANK`
    `TNTFILL`
    `VAULT`
    `WARP`
    `WITHDRAW`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.bukkit.inventory.ItemStack` | `buildItem(FPlayer fme, Permissable permissable)`
    `static PermissableAction` | `fromString(java.lang.String check)` Case insensitive check for action.
    `java.lang.String` | `getName()` Get the friendly name of this action.
    `java.lang.String` | `replacePlaceholders(java.lang.String string, FPlayer fme, Permissable permissable)`
    `java.lang.String` | `toString()`
    `static PermissableAction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PermissableAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BAN

          public static final PermissableAction BAN

    - #### BUILD

          public static final PermissableAction BUILD

    - #### DESTROY

          public static final PermissableAction DESTROY

    - #### FROST_WALK

          public static final PermissableAction FROST_WALK

    - #### PAIN_BUILD

          public static final PermissableAction PAIN_BUILD

    - #### DOOR

          public static final PermissableAction DOOR

    - #### BUTTON

          public static final PermissableAction BUTTON

    - #### LEVER

          public static final PermissableAction LEVER

    - #### CONTAINER

          public static final PermissableAction CONTAINER

    - #### INVITE

          public static final PermissableAction INVITE

    - #### KICK

          public static final PermissableAction KICK

    - #### ITEM

          public static final PermissableAction ITEM

    - #### SETHOME

          public static final PermissableAction SETHOME

    - #### TERRITORY

          public static final PermissableAction TERRITORY

    - #### ACCESS

          public static final PermissableAction ACCESS

    - #### HOME

          public static final PermissableAction HOME

    - #### DISBAND

          public static final PermissableAction DISBAND

    - #### PROMOTE

          public static final PermissableAction PROMOTE

    - #### SETWARP

          public static final PermissableAction SETWARP

    - #### WARP

          public static final PermissableAction WARP

    - #### FLY

          public static final PermissableAction FLY

    - #### VAULT

          public static final PermissableAction VAULT

    - #### TNTBANK

          public static final PermissableAction TNTBANK

    - #### TNTFILL

          public static final PermissableAction TNTFILL

    - #### WITHDRAW

          public static final PermissableAction WITHDRAW

    - #### CHEST

          public static final PermissableAction CHEST

    - #### SPAWNER

          public static final PermissableAction SPAWNER

  - ### Method Detail

    - #### values

          public static PermissableAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PermissableAction c : PermissableAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PermissableAction valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromString

          public static PermissableAction fromString(java.lang.String check)

      Case insensitive check for action.
      Parameters:
        `check` -
      Returns:

    - #### getName

          public java.lang.String getName()

      Get the friendly name of this action. Used for editing in commands.
      Returns:
        friendly name of the action as a String.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<PermissableAction>`

    - #### buildItem

          public org.bukkit.inventory.ItemStack buildItem(FPlayer fme,
                                                          Permissable permissable)

    - #### replacePlaceholders

          public java.lang.String replacePlaceholders(java.lang.String string,
                                                      FPlayer fme,
                                                      Permissable permissable)